## org.eclipse.datatools.modelbase.sql.tables
Interface SQLTablesPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface SQLTablesPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SQLTablesFactory`

Nested Class Summary
`static interface` `SQLTablesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `ACTION_GRANULARITY_TYPE` The meta object id for the '`Action Granularity Type`' enum.
`static int` `ACTION_TIME_TYPE` The meta object id for the '`Action Time Type`' enum.
`static int` `BASE_TABLE` The meta object id for the '`Base Table`' class.
`static int` `BASE_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `BASE_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `BASE_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `BASE_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `BASE_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `BASE_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `BASE_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `BASE_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `BASE_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `BASE_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `BASE_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `BASE_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `BASE_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `BASE_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `BASE_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `BASE_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `BASE_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `BASE_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `BASE_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `BASE_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `BASE_TABLE_FEATURE_COUNT` The number of structural features of the 'Base Table' class.
`static int` `CHECK_TYPE` The meta object id for the '`Check Type`' enum.
`static int` `COLUMN` The meta object id for the '`Column`' class.
`static int` `COLUMN__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `COLUMN__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `COLUMN__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `COLUMN__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `COLUMN__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `COLUMN__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `COLUMN__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `COLUMN__GENERATE_EXPRESSION` The feature id for the 'Generate Expression' containment reference.
`static int` `COLUMN__IDENTITY_SPECIFIER` The feature id for the 'Identity Specifier' containment reference.
`static int` `COLUMN__IMPLEMENTATION_DEPENDENT` The feature id for the 'Implementation Dependent' attribute.
`static int` `COLUMN__LABEL` The feature id for the 'Label' attribute.
`static int` `COLUMN__NAME` The feature id for the 'Name' attribute.
`static int` `COLUMN__NULLABLE` The feature id for the 'Nullable' attribute.
`static int` `COLUMN__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `COLUMN__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `COLUMN__SCOPE_CHECK` The feature id for the 'Scope Check' attribute.
`static int` `COLUMN__SCOPE_CHECKED` The feature id for the 'Scope Checked' attribute.
`static int` `COLUMN__TABLE` The feature id for the 'Table' container reference.
`static int` `COLUMN_FEATURE_COUNT` The number of structural features of the 'Column' class.
`static int` `DERIVED_TABLE` The meta object id for the '`Derived Table`' class.
`static int` `DERIVED_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `DERIVED_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `DERIVED_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DERIVED_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DERIVED_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DERIVED_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `DERIVED_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `DERIVED_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `DERIVED_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `DERIVED_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `DERIVED_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `DERIVED_TABLE__QUERY_EXPRESSION` The feature id for the 'Query Expression' containment reference.
`static int` `DERIVED_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `DERIVED_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `DERIVED_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `DERIVED_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `DERIVED_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `DERIVED_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `DERIVED_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `DERIVED_TABLE_FEATURE_COUNT` The number of structural features of the 'Derived Table' class.
`static SQLTablesPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `PERSISTENT_TABLE` The meta object id for the '`Persistent Table`' class.
`static int` `PERSISTENT_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `PERSISTENT_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `PERSISTENT_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `PERSISTENT_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `PERSISTENT_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `PERSISTENT_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `PERSISTENT_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `PERSISTENT_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `PERSISTENT_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `PERSISTENT_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `PERSISTENT_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `PERSISTENT_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `PERSISTENT_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `PERSISTENT_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `PERSISTENT_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `PERSISTENT_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `PERSISTENT_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `PERSISTENT_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `PERSISTENT_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `PERSISTENT_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `PERSISTENT_TABLE_FEATURE_COUNT` The number of structural features of the 'Persistent Table' class.
`static int` `REFERENCE_TYPE` The meta object id for the '`Reference Type`' enum.
`static int` `TABLE` The meta object id for the '`Table`' class.
`static int` `TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `TABLE_FEATURE_COUNT` The number of structural features of the 'Table' class.
`static int` `TEMPORARY_TABLE` The meta object id for the '`Temporary Table`' class.
`static int` `TEMPORARY_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `TEMPORARY_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `TEMPORARY_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `TEMPORARY_TABLE__DELETE_ON_COMMIT` The feature id for the 'Delete On Commit' attribute.
`static int` `TEMPORARY_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `TEMPORARY_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEMPORARY_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `TEMPORARY_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `TEMPORARY_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `TEMPORARY_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `TEMPORARY_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `TEMPORARY_TABLE__LOCAL` The feature id for the 'Local' attribute.
`static int` `TEMPORARY_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `TEMPORARY_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `TEMPORARY_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `TEMPORARY_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `TEMPORARY_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `TEMPORARY_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `TEMPORARY_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `TEMPORARY_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `TEMPORARY_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `TEMPORARY_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `TEMPORARY_TABLE_FEATURE_COUNT` The number of structural features of the 'Temporary Table' class.
`static int` `TRIGGER` The meta object id for the '`Trigger`' class.
`static int` `TRIGGER__ACTION_GRANULARITY` The feature id for the 'Action Granularity' attribute.
`static int` `TRIGGER__ACTION_STATEMENT` The feature id for the 'Action Statement' containment reference list.
`static int` `TRIGGER__ACTION_TIME` The feature id for the 'Action Time' attribute.
`static int` `TRIGGER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `TRIGGER__DELETE_TYPE` The feature id for the 'Delete Type' attribute.
`static int` `TRIGGER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `TRIGGER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TRIGGER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `TRIGGER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `TRIGGER__INSERT_TYPE` The feature id for the 'Insert Type' attribute.
`static int` `TRIGGER__LABEL` The feature id for the 'Label' attribute.
`static int` `TRIGGER__NAME` The feature id for the 'Name' attribute.
`static int` `TRIGGER__NEW_ROW` The feature id for the 'New Row' attribute.
`static int` `TRIGGER__NEW_TABLE` The feature id for the 'New Table' attribute.
`static int` `TRIGGER__OLD_ROW` The feature id for the 'Old Row' attribute.
`static int` `TRIGGER__OLD_TABLE` The feature id for the 'Old Table' attribute.
`static int` `TRIGGER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `TRIGGER__SCHEMA` The feature id for the 'Schema' reference.
`static int` `TRIGGER__SUBJECT_TABLE` The feature id for the 'Subject Table' reference.
`static int` `TRIGGER__TIME_STAMP` The feature id for the 'Time Stamp' attribute.
`static int` `TRIGGER__TRIGGER_COLUMN` The feature id for the 'Trigger Column' reference list.
`static int` `TRIGGER__UPDATE_TYPE` The feature id for the 'Update Type' attribute.
`static int` `TRIGGER__WHEN` The feature id for the 'When' containment reference.
`static int` `TRIGGER_FEATURE_COUNT` The number of structural features of the 'Trigger' class.
`static int` `VIEW_TABLE` The meta object id for the '`View Table`' class.
`static int` `VIEW_TABLE__CHECK_TYPE` The feature id for the 'Check Type' attribute.
`static int` `VIEW_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `VIEW_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `VIEW_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `VIEW_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `VIEW_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `VIEW_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `VIEW_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `VIEW_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `VIEW_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `VIEW_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `VIEW_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `VIEW_TABLE__QUERY_EXPRESSION` The feature id for the 'Query Expression' containment reference.
`static int` `VIEW_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `VIEW_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `VIEW_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `VIEW_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `VIEW_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `VIEW_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `VIEW_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `VIEW_TABLE_FEATURE_COUNT` The number of structural features of the 'View Table' class.

Method Summary
`org.eclipse.emf.ecore.EEnum` `getActionGranularityType()` Returns the meta object for enum '`Action Granularity Type`'.
`org.eclipse.emf.ecore.EEnum` `getActionTimeType()` Returns the meta object for enum '`Action Time Type`'.
`org.eclipse.emf.ecore.EReference` `getBaseTable_Constraints()` Returns the meta object for the containment reference list '`Constraints`'.
`org.eclipse.emf.ecore.EReference` `getBaseTable_ReferencingForeignKeys()` Returns the meta object for the reference list '`Referencing Foreign Keys`'.
`org.eclipse.emf.ecore.EClass` `getBaseTable()` Returns the meta object for class '`Base Table`'.
`org.eclipse.emf.ecore.EEnum` `getCheckType()` Returns the meta object for enum '`Check Type`'.
`org.eclipse.emf.ecore.EAttribute` `getColumn_DefaultValue()` Returns the meta object for the attribute '`Default Value`'.
`org.eclipse.emf.ecore.EReference` `getColumn_GenerateExpression()` Returns the meta object for the containment reference '`Generate Expression`'.
`org.eclipse.emf.ecore.EReference` `getColumn_IdentitySpecifier()` Returns the meta object for the containment reference '`Identity Specifier`'.
`org.eclipse.emf.ecore.EAttribute` `getColumn_ImplementationDependent()` Returns the meta object for the attribute '`Implementation Dependent`'.
`org.eclipse.emf.ecore.EAttribute` `getColumn_Nullable()` Returns the meta object for the attribute '`Nullable`'.
`org.eclipse.emf.ecore.EAttribute` `getColumn_ScopeCheck()` Returns the meta object for the attribute '`Scope Check`'.
`org.eclipse.emf.ecore.EAttribute` `getColumn_ScopeChecked()` Returns the meta object for the attribute '`Scope Checked`'.
`org.eclipse.emf.ecore.EReference` `getColumn_Table()` Returns the meta object for the container reference '`Table`'.
`org.eclipse.emf.ecore.EClass` `getColumn()` Returns the meta object for class '`Column`'.
`org.eclipse.emf.ecore.EReference` `getDerivedTable_QueryExpression()` Returns the meta object for the containment reference '`Query Expression`'.
`org.eclipse.emf.ecore.EClass` `getDerivedTable()` Returns the meta object for class '`Derived Table`'.
`org.eclipse.emf.ecore.EClass` `getPersistentTable()` Returns the meta object for class '`Persistent Table`'.
`org.eclipse.emf.ecore.EEnum` `getReferenceType()` Returns the meta object for enum '`Reference Type`'.
`SQLTablesFactory` `getSQLTablesFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getTable_Columns()` Returns the meta object for the containment reference list '`Columns`'.
`org.eclipse.emf.ecore.EReference` `getTable_Index()` Returns the meta object for the reference list '`Index`'.
`org.eclipse.emf.ecore.EAttribute` `getTable_Insertable()` Returns the meta object for the attribute '`Insertable`'.
`org.eclipse.emf.ecore.EReference` `getTable_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EAttribute` `getTable_SelfRefColumnGeneration()` Returns the meta object for the attribute '`Self Ref Column Generation`'.
`org.eclipse.emf.ecore.EReference` `getTable_Subtables()` Returns the meta object for the reference list '`Subtables`'.
`org.eclipse.emf.ecore.EReference` `getTable_Supertable()` Returns the meta object for the reference '`Supertable`'.
`org.eclipse.emf.ecore.EReference` `getTable_Triggers()` Returns the meta object for the reference list '`Triggers`'.
`org.eclipse.emf.ecore.EReference` `getTable_Udt()` Returns the meta object for the reference '`Udt`'.
`org.eclipse.emf.ecore.EAttribute` `getTable_Updatable()` Returns the meta object for the attribute '`Updatable`'.
`org.eclipse.emf.ecore.EClass` `getTable()` Returns the meta object for class '`Table`'.
`org.eclipse.emf.ecore.EAttribute` `getTemporaryTable_DeleteOnCommit()` Returns the meta object for the attribute '`Delete On Commit`'.
`org.eclipse.emf.ecore.EAttribute` `getTemporaryTable_Local()` Returns the meta object for the attribute '`Local`'.
`org.eclipse.emf.ecore.EClass` `getTemporaryTable()` Returns the meta object for class '`Temporary Table`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_ActionGranularity()` Returns the meta object for the attribute '`Action Granularity`'.
`org.eclipse.emf.ecore.EReference` `getTrigger_ActionStatement()` Returns the meta object for the containment reference list '`Action Statement`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_ActionTime()` Returns the meta object for the attribute '`Action Time`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_DeleteType()` Returns the meta object for the attribute '`Delete Type`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_InsertType()` Returns the meta object for the attribute '`Insert Type`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_NewRow()` Returns the meta object for the attribute '`New Row`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_NewTable()` Returns the meta object for the attribute '`New Table`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_OldRow()` Returns the meta object for the attribute '`Old Row`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_OldTable()` Returns the meta object for the attribute '`Old Table`'.
`org.eclipse.emf.ecore.EReference` `getTrigger_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EReference` `getTrigger_SubjectTable()` Returns the meta object for the reference '`Subject Table`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_TimeStamp()` Returns the meta object for the attribute '`Time Stamp`'.
`org.eclipse.emf.ecore.EReference` `getTrigger_TriggerColumn()` Returns the meta object for the reference list '`Trigger Column`'.
`org.eclipse.emf.ecore.EAttribute` `getTrigger_UpdateType()` Returns the meta object for the attribute '`Update Type`'.
`org.eclipse.emf.ecore.EReference` `getTrigger_When()` Returns the meta object for the containment reference '`When`'.
`org.eclipse.emf.ecore.EClass` `getTrigger()` Returns the meta object for class '`Trigger`'.
`org.eclipse.emf.ecore.EAttribute` `getViewTable_CheckType()` Returns the meta object for the attribute '`Check Type`'.
`org.eclipse.emf.ecore.EClass` `getViewTable()` Returns the meta object for class '`View Table`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SQLTablesPackage eINSTANCE

  The singleton instance of the package.

### TABLE

    static final int TABLE

  The meta object id for the '`Table`' class.

  See Also:
    `TableImpl`, `SQLTablesPackageImpl.getTable()`, Constant Field Values

### TABLE__EANNOTATIONS

    static final int TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TABLE__NAME

    static final int TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TABLE__DEPENDENCIES

    static final int TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### TABLE__DESCRIPTION

    static final int TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### TABLE__LABEL

    static final int TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### TABLE__COMMENTS

    static final int TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### TABLE__EXTENSIONS

    static final int TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### TABLE__PRIVILEGES

    static final int TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### TABLE__COLUMNS

    static final int TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### TABLE__SUPERTABLE

    static final int TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### TABLE__SUBTABLES

    static final int TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### TABLE__SCHEMA

    static final int TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### TABLE__UDT

    static final int TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### TABLE__TRIGGERS

    static final int TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### TABLE__INDEX

    static final int TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### TABLE__SELF_REF_COLUMN_GENERATION

    static final int TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### TABLE__INSERTABLE

    static final int TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### TABLE__UPDATABLE

    static final int TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### TABLE_FEATURE_COUNT

    static final int TABLE_FEATURE_COUNT

  The number of structural features of the 'Table' class.

  See Also:
    Constant Field Values

### DERIVED_TABLE

    static final int DERIVED_TABLE

  The meta object id for the '`Derived Table`' class.

  See Also:
    `DerivedTableImpl`, `SQLTablesPackageImpl.getDerivedTable()`, Constant Field Values

### DERIVED_TABLE__EANNOTATIONS

    static final int DERIVED_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__NAME

    static final int DERIVED_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DERIVED_TABLE__DEPENDENCIES

    static final int DERIVED_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__DESCRIPTION

    static final int DERIVED_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### DERIVED_TABLE__LABEL

    static final int DERIVED_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### DERIVED_TABLE__COMMENTS

    static final int DERIVED_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__EXTENSIONS

    static final int DERIVED_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__PRIVILEGES

    static final int DERIVED_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__COLUMNS

    static final int DERIVED_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__SUPERTABLE

    static final int DERIVED_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### DERIVED_TABLE__SUBTABLES

    static final int DERIVED_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__SCHEMA

    static final int DERIVED_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### DERIVED_TABLE__UDT

    static final int DERIVED_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### DERIVED_TABLE__TRIGGERS

    static final int DERIVED_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__INDEX

    static final int DERIVED_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### DERIVED_TABLE__SELF_REF_COLUMN_GENERATION

    static final int DERIVED_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### DERIVED_TABLE__INSERTABLE

    static final int DERIVED_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### DERIVED_TABLE__UPDATABLE

    static final int DERIVED_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### DERIVED_TABLE__QUERY_EXPRESSION

    static final int DERIVED_TABLE__QUERY_EXPRESSION

  The feature id for the 'Query Expression' containment reference.

  See Also:
    Constant Field Values

### DERIVED_TABLE_FEATURE_COUNT

    static final int DERIVED_TABLE_FEATURE_COUNT

  The number of structural features of the 'Derived Table' class.

  See Also:
    Constant Field Values

### VIEW_TABLE

    static final int VIEW_TABLE

  The meta object id for the '`View Table`' class.

  See Also:
    `ViewTableImpl`, `SQLTablesPackageImpl.getViewTable()`, Constant Field Values

### VIEW_TABLE__EANNOTATIONS

    static final int VIEW_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__NAME

    static final int VIEW_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### VIEW_TABLE__DEPENDENCIES

    static final int VIEW_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__DESCRIPTION

    static final int VIEW_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### VIEW_TABLE__LABEL

    static final int VIEW_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### VIEW_TABLE__COMMENTS

    static final int VIEW_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__EXTENSIONS

    static final int VIEW_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__PRIVILEGES

    static final int VIEW_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__COLUMNS

    static final int VIEW_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__SUPERTABLE

    static final int VIEW_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### VIEW_TABLE__SUBTABLES

    static final int VIEW_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__SCHEMA

    static final int VIEW_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### VIEW_TABLE__UDT

    static final int VIEW_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### VIEW_TABLE__TRIGGERS

    static final int VIEW_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__INDEX

    static final int VIEW_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### VIEW_TABLE__SELF_REF_COLUMN_GENERATION

    static final int VIEW_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### VIEW_TABLE__INSERTABLE

    static final int VIEW_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### VIEW_TABLE__UPDATABLE

    static final int VIEW_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### VIEW_TABLE__QUERY_EXPRESSION

    static final int VIEW_TABLE__QUERY_EXPRESSION

  The feature id for the 'Query Expression' containment reference.

  See Also:
    Constant Field Values

### VIEW_TABLE__CHECK_TYPE

    static final int VIEW_TABLE__CHECK_TYPE

  The feature id for the 'Check Type' attribute.

  See Also:
    Constant Field Values

### VIEW_TABLE_FEATURE_COUNT

    static final int VIEW_TABLE_FEATURE_COUNT

  The number of structural features of the 'View Table' class.

  See Also:
    Constant Field Values

### BASE_TABLE

    static final int BASE_TABLE

  The meta object id for the '`Base Table`' class.

  See Also:
    `BaseTableImpl`, `SQLTablesPackageImpl.getBaseTable()`, Constant Field Values

### BASE_TABLE__EANNOTATIONS

    static final int BASE_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__NAME

    static final int BASE_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BASE_TABLE__DEPENDENCIES

    static final int BASE_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__DESCRIPTION

    static final int BASE_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### BASE_TABLE__LABEL

    static final int BASE_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### BASE_TABLE__COMMENTS

    static final int BASE_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__EXTENSIONS

    static final int BASE_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__PRIVILEGES

    static final int BASE_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__COLUMNS

    static final int BASE_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__SUPERTABLE

    static final int BASE_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### BASE_TABLE__SUBTABLES

    static final int BASE_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__SCHEMA

    static final int BASE_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### BASE_TABLE__UDT

    static final int BASE_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### BASE_TABLE__TRIGGERS

    static final int BASE_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__INDEX

    static final int BASE_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__SELF_REF_COLUMN_GENERATION

    static final int BASE_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### BASE_TABLE__INSERTABLE

    static final int BASE_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### BASE_TABLE__UPDATABLE

    static final int BASE_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### BASE_TABLE__CONSTRAINTS

    static final int BASE_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### BASE_TABLE__REFERENCING_FOREIGN_KEYS

    static final int BASE_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### BASE_TABLE_FEATURE_COUNT

    static final int BASE_TABLE_FEATURE_COUNT

  The number of structural features of the 'Base Table' class.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE

    static final int TEMPORARY_TABLE

  The meta object id for the '`Temporary Table`' class.

  See Also:
    `TemporaryTableImpl`, `SQLTablesPackageImpl.getTemporaryTable()`, Constant Field Values

### TEMPORARY_TABLE__EANNOTATIONS

    static final int TEMPORARY_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__NAME

    static final int TEMPORARY_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__DEPENDENCIES

    static final int TEMPORARY_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__DESCRIPTION

    static final int TEMPORARY_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__LABEL

    static final int TEMPORARY_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__COMMENTS

    static final int TEMPORARY_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__EXTENSIONS

    static final int TEMPORARY_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__PRIVILEGES

    static final int TEMPORARY_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__COLUMNS

    static final int TEMPORARY_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__SUPERTABLE

    static final int TEMPORARY_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__SUBTABLES

    static final int TEMPORARY_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__SCHEMA

    static final int TEMPORARY_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__UDT

    static final int TEMPORARY_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__TRIGGERS

    static final int TEMPORARY_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__INDEX

    static final int TEMPORARY_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__SELF_REF_COLUMN_GENERATION

    static final int TEMPORARY_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__INSERTABLE

    static final int TEMPORARY_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__UPDATABLE

    static final int TEMPORARY_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__CONSTRAINTS

    static final int TEMPORARY_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__REFERENCING_FOREIGN_KEYS

    static final int TEMPORARY_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__LOCAL

    static final int TEMPORARY_TABLE__LOCAL

  The feature id for the 'Local' attribute.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE__DELETE_ON_COMMIT

    static final int TEMPORARY_TABLE__DELETE_ON_COMMIT

  The feature id for the 'Delete On Commit' attribute.

  See Also:
    Constant Field Values

### TEMPORARY_TABLE_FEATURE_COUNT

    static final int TEMPORARY_TABLE_FEATURE_COUNT

  The number of structural features of the 'Temporary Table' class.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE

    static final int PERSISTENT_TABLE

  The meta object id for the '`Persistent Table`' class.

  See Also:
    `PersistentTableImpl`, `SQLTablesPackageImpl.getPersistentTable()`, Constant Field Values

### PERSISTENT_TABLE__EANNOTATIONS

    static final int PERSISTENT_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__NAME

    static final int PERSISTENT_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__DEPENDENCIES

    static final int PERSISTENT_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__DESCRIPTION

    static final int PERSISTENT_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__LABEL

    static final int PERSISTENT_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__COMMENTS

    static final int PERSISTENT_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__EXTENSIONS

    static final int PERSISTENT_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__PRIVILEGES

    static final int PERSISTENT_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__COLUMNS

    static final int PERSISTENT_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__SUPERTABLE

    static final int PERSISTENT_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__SUBTABLES

    static final int PERSISTENT_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__SCHEMA

    static final int PERSISTENT_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__UDT

    static final int PERSISTENT_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__TRIGGERS

    static final int PERSISTENT_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__INDEX

    static final int PERSISTENT_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__SELF_REF_COLUMN_GENERATION

    static final int PERSISTENT_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__INSERTABLE

    static final int PERSISTENT_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__UPDATABLE

    static final int PERSISTENT_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__CONSTRAINTS

    static final int PERSISTENT_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE__REFERENCING_FOREIGN_KEYS

    static final int PERSISTENT_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### PERSISTENT_TABLE_FEATURE_COUNT

    static final int PERSISTENT_TABLE_FEATURE_COUNT

  The number of structural features of the 'Persistent Table' class.

  See Also:
    Constant Field Values

### COLUMN

    static final int COLUMN

  The meta object id for the '`Column`' class.

  See Also:
    `ColumnImpl`, `SQLTablesPackageImpl.getColumn()`, Constant Field Values

### COLUMN__EANNOTATIONS

    static final int COLUMN__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### COLUMN__NAME

    static final int COLUMN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COLUMN__DEPENDENCIES

    static final int COLUMN__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### COLUMN__DESCRIPTION

    static final int COLUMN__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### COLUMN__LABEL

    static final int COLUMN__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### COLUMN__COMMENTS

    static final int COLUMN__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### COLUMN__EXTENSIONS

    static final int COLUMN__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### COLUMN__PRIVILEGES

    static final int COLUMN__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### COLUMN__CONTAINED_TYPE

    static final int COLUMN__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

  See Also:
    Constant Field Values

### COLUMN__REFERENCED_TYPE

    static final int COLUMN__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

  See Also:
    Constant Field Values

### COLUMN__TABLE

    static final int COLUMN__TABLE

  The feature id for the 'Table' container reference.

  See Also:
    Constant Field Values

### COLUMN__IDENTITY_SPECIFIER

    static final int COLUMN__IDENTITY_SPECIFIER

  The feature id for the 'Identity Specifier' containment reference.

  See Also:
    Constant Field Values

### COLUMN__GENERATE_EXPRESSION

    static final int COLUMN__GENERATE_EXPRESSION

  The feature id for the 'Generate Expression' containment reference.

  See Also:
    Constant Field Values

### COLUMN__IMPLEMENTATION_DEPENDENT

    static final int COLUMN__IMPLEMENTATION_DEPENDENT

  The feature id for the 'Implementation Dependent' attribute.

  See Also:
    Constant Field Values

### COLUMN__NULLABLE

    static final int COLUMN__NULLABLE

  The feature id for the 'Nullable' attribute.

  See Also:
    Constant Field Values

### COLUMN__DEFAULT_VALUE

    static final int COLUMN__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### COLUMN__SCOPE_CHECK

    static final int COLUMN__SCOPE_CHECK

  The feature id for the 'Scope Check' attribute.

  See Also:
    Constant Field Values

### COLUMN__SCOPE_CHECKED

    static final int COLUMN__SCOPE_CHECKED

  The feature id for the 'Scope Checked' attribute.

  See Also:
    Constant Field Values

### COLUMN_FEATURE_COUNT

    static final int COLUMN_FEATURE_COUNT

  The number of structural features of the 'Column' class.

  See Also:
    Constant Field Values

### TRIGGER

    static final int TRIGGER

  The meta object id for the '`Trigger`' class.

  See Also:
    `TriggerImpl`, `SQLTablesPackageImpl.getTrigger()`, Constant Field Values

### TRIGGER__EANNOTATIONS

    static final int TRIGGER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TRIGGER__NAME

    static final int TRIGGER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TRIGGER__DEPENDENCIES

    static final int TRIGGER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### TRIGGER__DESCRIPTION

    static final int TRIGGER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### TRIGGER__LABEL

    static final int TRIGGER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### TRIGGER__COMMENTS

    static final int TRIGGER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### TRIGGER__EXTENSIONS

    static final int TRIGGER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### TRIGGER__PRIVILEGES

    static final int TRIGGER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### TRIGGER__SCHEMA

    static final int TRIGGER__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### TRIGGER__SUBJECT_TABLE

    static final int TRIGGER__SUBJECT_TABLE

  The feature id for the 'Subject Table' reference.

  See Also:
    Constant Field Values

### TRIGGER__ACTION_STATEMENT

    static final int TRIGGER__ACTION_STATEMENT

  The feature id for the 'Action Statement' containment reference list.

  See Also:
    Constant Field Values

### TRIGGER__TRIGGER_COLUMN

    static final int TRIGGER__TRIGGER_COLUMN

  The feature id for the 'Trigger Column' reference list.

  See Also:
    Constant Field Values

### TRIGGER__ACTION_GRANULARITY

    static final int TRIGGER__ACTION_GRANULARITY

  The feature id for the 'Action Granularity' attribute.

  See Also:
    Constant Field Values

### TRIGGER__WHEN

    static final int TRIGGER__WHEN

  The feature id for the 'When' containment reference.

  See Also:
    Constant Field Values

### TRIGGER__TIME_STAMP

    static final int TRIGGER__TIME_STAMP

  The feature id for the 'Time Stamp' attribute.

  See Also:
    Constant Field Values

### TRIGGER__ACTION_TIME

    static final int TRIGGER__ACTION_TIME

  The feature id for the 'Action Time' attribute.

  See Also:
    Constant Field Values

### TRIGGER__UPDATE_TYPE

    static final int TRIGGER__UPDATE_TYPE

  The feature id for the 'Update Type' attribute.

  See Also:
    Constant Field Values

### TRIGGER__INSERT_TYPE

    static final int TRIGGER__INSERT_TYPE

  The feature id for the 'Insert Type' attribute.

  See Also:
    Constant Field Values

### TRIGGER__DELETE_TYPE

    static final int TRIGGER__DELETE_TYPE

  The feature id for the 'Delete Type' attribute.

  See Also:
    Constant Field Values

### TRIGGER__OLD_ROW

    static final int TRIGGER__OLD_ROW

  The feature id for the 'Old Row' attribute.

  See Also:
    Constant Field Values

### TRIGGER__NEW_ROW

    static final int TRIGGER__NEW_ROW

  The feature id for the 'New Row' attribute.

  See Also:
    Constant Field Values

### TRIGGER__OLD_TABLE

    static final int TRIGGER__OLD_TABLE

  The feature id for the 'Old Table' attribute.

  See Also:
    Constant Field Values

### TRIGGER__NEW_TABLE

    static final int TRIGGER__NEW_TABLE

  The feature id for the 'New Table' attribute.

  See Also:
    Constant Field Values

### TRIGGER_FEATURE_COUNT

    static final int TRIGGER_FEATURE_COUNT

  The number of structural features of the 'Trigger' class.

  See Also:
    Constant Field Values

### CHECK_TYPE

    static final int CHECK_TYPE

  The meta object id for the '`Check Type`' enum.

  See Also:
    `CheckType`, `SQLTablesPackageImpl.getCheckType()`, Constant Field Values

### REFERENCE_TYPE

    static final int REFERENCE_TYPE

  The meta object id for the '`Reference Type`' enum.

  See Also:
    `ReferenceType`, `SQLTablesPackageImpl.getReferenceType()`, Constant Field Values

### ACTION_TIME_TYPE

    static final int ACTION_TIME_TYPE

  The meta object id for the '`Action Time Type`' enum.

  See Also:
    `ActionTimeType`, `SQLTablesPackageImpl.getActionTimeType()`, Constant Field Values

### ACTION_GRANULARITY_TYPE

    static final int ACTION_GRANULARITY_TYPE

  The meta object id for the '`Action Granularity Type`' enum.

  See Also:
    `ActionGranularityType`, `SQLTablesPackageImpl.getActionGranularityType()`, Constant Field Values

Method Detail

### getViewTable

    org.eclipse.emf.ecore.EClass getViewTable()

  Returns the meta object for class '`View Table`'.

  Returns:
    the meta object for class 'View Table'.
  See Also:
    `ViewTable`

### getViewTable_CheckType

    org.eclipse.emf.ecore.EAttribute getViewTable_CheckType()

  Returns the meta object for the attribute '`Check Type`'.

  Returns:
    the meta object for the attribute 'Check Type'.
  See Also:
    `ViewTable.getCheckType()`, `getViewTable()`

### getTemporaryTable

    org.eclipse.emf.ecore.EClass getTemporaryTable()

  Returns the meta object for class '`Temporary Table`'.

  Returns:
    the meta object for class 'Temporary Table'.
  See Also:
    `TemporaryTable`

### getTemporaryTable_Local

    org.eclipse.emf.ecore.EAttribute getTemporaryTable_Local()

  Returns the meta object for the attribute '`Local`'.

  Returns:
    the meta object for the attribute 'Local'.
  See Also:
    `TemporaryTable.isLocal()`, `getTemporaryTable()`

### getTemporaryTable_DeleteOnCommit

    org.eclipse.emf.ecore.EAttribute getTemporaryTable_DeleteOnCommit()

  Returns the meta object for the attribute '`Delete On Commit`'.

  Returns:
    the meta object for the attribute 'Delete On Commit'.
  See Also:
    `TemporaryTable.isDeleteOnCommit()`, `getTemporaryTable()`

### getTable

    org.eclipse.emf.ecore.EClass getTable()

  Returns the meta object for class '`Table`'.

  Returns:
    the meta object for class 'Table'.
  See Also:
    `Table`

### getTable_Columns

    org.eclipse.emf.ecore.EReference getTable_Columns()

  Returns the meta object for the containment reference list '`Columns`'.

  Returns:
    the meta object for the containment reference list 'Columns'.
  See Also:
    `Table.getColumns()`, `getTable()`

### getTable_Supertable

    org.eclipse.emf.ecore.EReference getTable_Supertable()

  Returns the meta object for the reference '`Supertable`'.

  Returns:
    the meta object for the reference 'Supertable'.
  See Also:
    `Table.getSupertable()`, `getTable()`

### getTable_Subtables

    org.eclipse.emf.ecore.EReference getTable_Subtables()

  Returns the meta object for the reference list '`Subtables`'.

  Returns:
    the meta object for the reference list 'Subtables'.
  See Also:
    `Table.getSubtables()`, `getTable()`

### getTable_Schema

    org.eclipse.emf.ecore.EReference getTable_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Table.getSchema()`, `getTable()`

### getTable_Udt

    org.eclipse.emf.ecore.EReference getTable_Udt()

  Returns the meta object for the reference '`Udt`'.

  Returns:
    the meta object for the reference 'Udt'.
  See Also:
    `Table.getUdt()`, `getTable()`

### getTable_Triggers

    org.eclipse.emf.ecore.EReference getTable_Triggers()

  Returns the meta object for the reference list '`Triggers`'.

  Returns:
    the meta object for the reference list 'Triggers'.
  See Also:
    `Table.getTriggers()`, `getTable()`

### getTable_Index

    org.eclipse.emf.ecore.EReference getTable_Index()

  Returns the meta object for the reference list '`Index`'.

  Returns:
    the meta object for the reference list 'Index'.
  See Also:
    `Table.getIndex()`, `getTable()`

### getTable_SelfRefColumnGeneration

    org.eclipse.emf.ecore.EAttribute getTable_SelfRefColumnGeneration()

  Returns the meta object for the attribute '`Self Ref Column Generation`'.

  Returns:
    the meta object for the attribute 'Self Ref Column Generation'.
  See Also:
    `Table.getSelfRefColumnGeneration()`, `getTable()`

### getTable_Insertable

    org.eclipse.emf.ecore.EAttribute getTable_Insertable()

  Returns the meta object for the attribute '`Insertable`'.

  Returns:
    the meta object for the attribute 'Insertable'.
  See Also:
    `Table.isInsertable()`, `getTable()`

### getTable_Updatable

    org.eclipse.emf.ecore.EAttribute getTable_Updatable()

  Returns the meta object for the attribute '`Updatable`'.

  Returns:
    the meta object for the attribute 'Updatable'.
  See Also:
    `Table.isUpdatable()`, `getTable()`

### getPersistentTable

    org.eclipse.emf.ecore.EClass getPersistentTable()

  Returns the meta object for class '`Persistent Table`'.

  Returns:
    the meta object for class 'Persistent Table'.
  See Also:
    `PersistentTable`

### getDerivedTable

    org.eclipse.emf.ecore.EClass getDerivedTable()

  Returns the meta object for class '`Derived Table`'.

  Returns:
    the meta object for class 'Derived Table'.
  See Also:
    `DerivedTable`

### getDerivedTable_QueryExpression

    org.eclipse.emf.ecore.EReference getDerivedTable_QueryExpression()

  Returns the meta object for the containment reference '`Query Expression`'.

  Returns:
    the meta object for the containment reference 'Query Expression'.
  See Also:
    `DerivedTable.getQueryExpression()`, `getDerivedTable()`

### getBaseTable

    org.eclipse.emf.ecore.EClass getBaseTable()

  Returns the meta object for class '`Base Table`'.

  Returns:
    the meta object for class 'Base Table'.
  See Also:
    `BaseTable`

### getBaseTable_Constraints

    org.eclipse.emf.ecore.EReference getBaseTable_Constraints()

  Returns the meta object for the containment reference list '`Constraints`'.

  Returns:
    the meta object for the containment reference list 'Constraints'.
  See Also:
    `BaseTable.getConstraints()`, `getBaseTable()`

### getBaseTable_ReferencingForeignKeys

    org.eclipse.emf.ecore.EReference getBaseTable_ReferencingForeignKeys()

  Returns the meta object for the reference list '`Referencing Foreign Keys`'.

  Returns:
    the meta object for the reference list 'Referencing Foreign Keys'.
  See Also:
    `BaseTable.getReferencingForeignKeys()`, `getBaseTable()`

### getColumn

    org.eclipse.emf.ecore.EClass getColumn()

  Returns the meta object for class '`Column`'.

  Returns:
    the meta object for class 'Column'.
  See Also:
    `Column`

### getColumn_Table

    org.eclipse.emf.ecore.EReference getColumn_Table()

  Returns the meta object for the container reference '`Table`'.

  Returns:
    the meta object for the container reference 'Table'.
  See Also:
    `Column.getTable()`, `getColumn()`

### getColumn_IdentitySpecifier

    org.eclipse.emf.ecore.EReference getColumn_IdentitySpecifier()

  Returns the meta object for the containment reference '`Identity Specifier`'.

  Returns:
    the meta object for the containment reference 'Identity Specifier'.
  See Also:
    `Column.getIdentitySpecifier()`, `getColumn()`

### getColumn_GenerateExpression

    org.eclipse.emf.ecore.EReference getColumn_GenerateExpression()

  Returns the meta object for the containment reference '`Generate Expression`'.

  Returns:
    the meta object for the containment reference 'Generate Expression'.
  See Also:
    `Column.getGenerateExpression()`, `getColumn()`

### getColumn_ImplementationDependent

    org.eclipse.emf.ecore.EAttribute getColumn_ImplementationDependent()

  Returns the meta object for the attribute '`Implementation Dependent`'.

  Returns:
    the meta object for the attribute 'Implementation Dependent'.
  See Also:
    `Column.isImplementationDependent()`, `getColumn()`

### getColumn_Nullable

    org.eclipse.emf.ecore.EAttribute getColumn_Nullable()

  Returns the meta object for the attribute '`Nullable`'.

  Returns:
    the meta object for the attribute 'Nullable'.
  See Also:
    `Column.isNullable()`, `getColumn()`

### getColumn_DefaultValue

    org.eclipse.emf.ecore.EAttribute getColumn_DefaultValue()

  Returns the meta object for the attribute '`Default Value`'.

  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `Column.getDefaultValue()`, `getColumn()`

### getColumn_ScopeCheck

    org.eclipse.emf.ecore.EAttribute getColumn_ScopeCheck()

  Returns the meta object for the attribute '`Scope Check`'.

  Returns:
    the meta object for the attribute 'Scope Check'.
  See Also:
    `Column.getScopeCheck()`, `getColumn()`

### getColumn_ScopeChecked

    org.eclipse.emf.ecore.EAttribute getColumn_ScopeChecked()

  Returns the meta object for the attribute '`Scope Checked`'.

  Returns:
    the meta object for the attribute 'Scope Checked'.
  See Also:
    `Column.isScopeChecked()`, `getColumn()`

### getTrigger

    org.eclipse.emf.ecore.EClass getTrigger()

  Returns the meta object for class '`Trigger`'.

  Returns:
    the meta object for class 'Trigger'.
  See Also:
    `Trigger`

### getTrigger_Schema

    org.eclipse.emf.ecore.EReference getTrigger_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Trigger.getSchema()`, `getTrigger()`

### getTrigger_SubjectTable

    org.eclipse.emf.ecore.EReference getTrigger_SubjectTable()

  Returns the meta object for the reference '`Subject Table`'.

  Returns:
    the meta object for the reference 'Subject Table'.
  See Also:
    `Trigger.getSubjectTable()`, `getTrigger()`

### getTrigger_ActionStatement

    org.eclipse.emf.ecore.EReference getTrigger_ActionStatement()

  Returns the meta object for the containment reference list '`Action Statement`'.

  Returns:
    the meta object for the containment reference list 'Action Statement'.
  See Also:
    `Trigger.getActionStatement()`, `getTrigger()`

### getTrigger_TriggerColumn

    org.eclipse.emf.ecore.EReference getTrigger_TriggerColumn()

  Returns the meta object for the reference list '`Trigger Column`'.

  Returns:
    the meta object for the reference list 'Trigger Column'.
  See Also:
    `Trigger.getTriggerColumn()`, `getTrigger()`

### getTrigger_ActionGranularity

    org.eclipse.emf.ecore.EAttribute getTrigger_ActionGranularity()

  Returns the meta object for the attribute '`Action Granularity`'.

  Returns:
    the meta object for the attribute 'Action Granularity'.
  See Also:
    `Trigger.getActionGranularity()`, `getTrigger()`

### getTrigger_When

    org.eclipse.emf.ecore.EReference getTrigger_When()

  Returns the meta object for the containment reference '`When`'.

  Returns:
    the meta object for the containment reference 'When'.
  See Also:
    `Trigger.getWhen()`, `getTrigger()`

### getTrigger_TimeStamp

    org.eclipse.emf.ecore.EAttribute getTrigger_TimeStamp()

  Returns the meta object for the attribute '`Time Stamp`'.

  Returns:
    the meta object for the attribute 'Time Stamp'.
  See Also:
    `Trigger.getTimeStamp()`, `getTrigger()`

### getTrigger_ActionTime

    org.eclipse.emf.ecore.EAttribute getTrigger_ActionTime()

  Returns the meta object for the attribute '`Action Time`'.

  Returns:
    the meta object for the attribute 'Action Time'.
  See Also:
    `Trigger.getActionTime()`, `getTrigger()`

### getTrigger_UpdateType

    org.eclipse.emf.ecore.EAttribute getTrigger_UpdateType()

  Returns the meta object for the attribute '`Update Type`'.

  Returns:
    the meta object for the attribute 'Update Type'.
  See Also:
    `Trigger.isUpdateType()`, `getTrigger()`

### getTrigger_InsertType

    org.eclipse.emf.ecore.EAttribute getTrigger_InsertType()

  Returns the meta object for the attribute '`Insert Type`'.

  Returns:
    the meta object for the attribute 'Insert Type'.
  See Also:
    `Trigger.isInsertType()`, `getTrigger()`

### getTrigger_DeleteType

    org.eclipse.emf.ecore.EAttribute getTrigger_DeleteType()

  Returns the meta object for the attribute '`Delete Type`'.

  Returns:
    the meta object for the attribute 'Delete Type'.
  See Also:
    `Trigger.isDeleteType()`, `getTrigger()`

### getTrigger_OldRow

    org.eclipse.emf.ecore.EAttribute getTrigger_OldRow()

  Returns the meta object for the attribute '`Old Row`'.

  Returns:
    the meta object for the attribute 'Old Row'.
  See Also:
    `Trigger.getOldRow()`, `getTrigger()`

### getTrigger_NewRow

    org.eclipse.emf.ecore.EAttribute getTrigger_NewRow()

  Returns the meta object for the attribute '`New Row`'.

  Returns:
    the meta object for the attribute 'New Row'.
  See Also:
    `Trigger.getNewRow()`, `getTrigger()`

### getTrigger_OldTable

    org.eclipse.emf.ecore.EAttribute getTrigger_OldTable()

  Returns the meta object for the attribute '`Old Table`'.

  Returns:
    the meta object for the attribute 'Old Table'.
  See Also:
    `Trigger.getOldTable()`, `getTrigger()`

### getTrigger_NewTable

    org.eclipse.emf.ecore.EAttribute getTrigger_NewTable()

  Returns the meta object for the attribute '`New Table`'.

  Returns:
    the meta object for the attribute 'New Table'.
  See Also:
    `Trigger.getNewTable()`, `getTrigger()`

### getCheckType

    org.eclipse.emf.ecore.EEnum getCheckType()

  Returns the meta object for enum '`Check Type`'.

  Returns:
    the meta object for enum 'Check Type'.
  See Also:
    `CheckType`

### getReferenceType

    org.eclipse.emf.ecore.EEnum getReferenceType()

  Returns the meta object for enum '`Reference Type`'.

  Returns:
    the meta object for enum 'Reference Type'.
  See Also:
    `ReferenceType`

### getActionTimeType

    org.eclipse.emf.ecore.EEnum getActionTimeType()

  Returns the meta object for enum '`Action Time Type`'.

  Returns:
    the meta object for enum 'Action Time Type'.
  See Also:
    `ActionTimeType`

### getActionGranularityType

    org.eclipse.emf.ecore.EEnum getActionGranularityType()

  Returns the meta object for enum '`Action Granularity Type`'.

  Returns:
    the meta object for enum 'Action Granularity Type'.
  See Also:
    `ActionGranularityType`

### getSQLTablesFactory

    SQLTablesFactory getSQLTablesFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.